---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Get Customer Wallet Tokens

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/agent/get-customer-wallet-tokens": {
      "summary": "This specification provides the details to get customer wallet tokens",
      "post": {
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/payload_get_customer_wallet_tokens_requestData"
              },
              "examples": {
                "get customer wallet tokens": {
                  "value": {
                    "merchant_id": "Test-Integration-Merchant",
                    "application_key": "Sandbox",
                    "cid": "102544",
                    "version": "1.3",
                    "timestamp": 1590613956
                  }
                }
              }
            }
          },
          "required": true
        },
        "tags": [
          "Manage Customer Payment Methods"
        ],
        "parameters": [
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_common"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-get-customer-wallet-tokens-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "getCustomerWalletTokens",
        "summary": "Get Customer Wallet Tokens"
      }
    }
  },
  "components": {
    "schemas": {
      "property_common_base_properties": {
        "required": [
          "merchant_id",
          "application_key",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "application_key": {
            "$ref": "#/components/schemas/application_key"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "cid": {
        "description": "Unique customer id in your system.\r\n\r\n*__Note:__* *Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.*",
        "maxLength": 50,
        "type": "string",
        "example": "1020"
      },
      "account_identifier": {
        "description": "Account Identifier",
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "wallet_data": {
        "description": "Generic wallet data object. The object structure differs through e-wallets and bank accounts.",
        "type": "object"
      },
      "wallet_token": {
        "description": "HASH value of customer's wallet.",
        "maxLength": 32,
        "type": "string"
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "property_req_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`\n- `cid`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "is_verified": {
        "description": "Shows whether a transaction is processed with first attempt (0) or upon cascade (1)",
        "maximum": 1,
        "type": "integer",
        "enum": [
          0,
          1
        ]
      },
      "payload_get_customer_wallet_tokens_requestData": {
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_base_properties"
          },
          {
            "required": [
              "cid"
            ],
            "type": "object",
            "properties": {
              "cid": {
                "$ref": "#/components/schemas/cid"
              },
              "is_verified": {
                "$ref": "#/components/schemas/is_verified"
              }
            }
          }
        ]
      },
      "property_customer_wallet_token": {
        "title": "customer card",
        "description": "Card Wallet Token",
        "type": "object",
        "properties": {
          "wallet_token": {
            "$ref": "#/components/schemas/wallet_token"
          },
          "account_identifier": {
            "$ref": "#/components/schemas/account_identifier"
          },
          "data": {
            "$ref": "#/components/schemas/wallet_data"
          }
        }
      },
      "object_response_200_ok_get_customer_wallet_tokens": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "type": "object",
            "properties": {
              "wallet_tokens": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/property_customer_wallet_token"
                }
              }
            }
          }
        ]
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-get-customer-wallet-tokens-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_get_customer_wallet_tokens"
            },
            "examples": {
              "success response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "wallet_tokens": [
                    {
                      "wallet_token": "wxtDmu8trYHrMWnpoBsEoq6YxqNxAsP-",
                      "account_identifier": "cus******************com",
                      "data": {
                        "email": "cus******************com",
                        "phone": "009***659",
                        "some_variable_1": "some_value_1",
                        "some_variable_2": "some_value_2"
                      }
                    },
                    {
                      "wallet_token": "9c37222487472d9024e5372111eb2cc7-",
                      "account_identifier": "971*****777",
                      "data": {
                        "phone": "971*****777",
                        "some_variable_1": "some_value_1"
                      }
                    },
                    {
                      "wallet_token": "hlT4AHNi6OdzrLEJ-hlT4AHNi6OdzrLEJ",
                      "account_identifier": "som******e_1",
                      "data": {
                        "some_variable_1": "some_value_1",
                        "some_variable_2": "some_value_2",
                        "phone": "066*****735"
                      }
                    }
                  ]
                }
              },
              "failure response": {
                "value": {
                  "status": 0,
                  "description": "Ok",
                  "wallet_tokens": [],
                  "version": "1.3",
                  "timestamp": 1590611635
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```